class Rakete {  //Rakteten-Klasse
  private float x, y;           
  private float v_x, v_y;         
  private float radius;    
  private float transparenz;
  private float g = 0.05; //Erdbeschleunigung
  private color farbe;
  private boolean vomBoden;

  //px, py: Ortskoordinaten, pvX, pvY: Geschwindigkeitskomponenten, pr: Radius, pt: aktuelle Transparenz, vomBoden: 
  //Unterscheidung zwischen Raketen von unten und später auch von oben, farbe: Farbe der Rakete
  //Erster Buchstabe p deutet auf "Parameter"
  //Es wäre auch möglich statt px x zu verwenden. Dann this.x =x
  public  Rakete(float px, float py, float pvX, float pvY, float pr, float pt, boolean pvomBoden, color pfarbe) {
    x = px;
    y = py;
    v_x = pvX;
    v_y = pvY; 
    vomBoden = pvomBoden;
    farbe = pfarbe;
    radius = pr;
    transparenz = pt;
  }

  public void aktualisieren() {
    v_y += g;
    y += v_y;
    x += v_x;
  }


  public void setTransparenz(float t) {
    transparenz = t;
  }

  public float getTransparenz() {
    return transparenz;
  }

  public void display() {
    if (vomBoden) {  
      if (v_y <0) { //aufsteigend
        transparenz += 0.6;//Erst oben ist das Feuerwerk hell
        fill(farbe, transparenz);
        stroke(farbe, transparenz);
      } else {  //fallend
        transparenz -= 0.4;
        radius = 2;
        fill(farbe, transparenz);      
        stroke(farbe, transparenz);
      }
    }
    ellipse(x, y, radius*2, radius*2);
  }
}