///////////////////////////////////////////////////////////////////////////////////
//feuerwerk1 aus Kapitel Simulation.
//Beispiel für gleichmäßig beschleunigte Bewegung. Feuerwerkskörper werden abgeschossen
//und fallen auf den Boden zurück. Das Gesamtbild verschwindet danach 
//langsam. Auch die Körper selbst werden immer strahlender, je höher sie kommen.
//Danach verglühen sie langsam. 
//Mausklick startet erneut 72 Feuerwerkskörper. 
/////////////////////////////////////////////////////////////////////

int anzahlBodenRaketen = 72;
float vergluehen = 0;
PImage img;
ArrayList<Rakete> raketen = new ArrayList<Rakete>();

void setup() { 
  size(1000, 800);
  background(0);
  img =  get();
  for (int i=0; i<anzahlBodenRaketen; i++) {
    float v_x = random(-2, 2);
    float v_y = random(-8, -7);   
    color farbe = color(0,random(100,255),255);
    // color farbe = color(255, 0, random(100, 255));
    raketen.add(new Rakete(width/2+(int)random(-10, 10), height-10, v_x, v_y, 3.0, 0, true, farbe));
  }
}

void draw() {
  if (mousePressed) {
     vergluehen = 0; 
     background(0);
  } else vergluehen += 0.02;
  
  //Bild wird langsam  schwarz   
  tint(255, vergluehen);
  image(img, 0, 0);

  for (Rakete rakete : raketen) {
    rakete.aktualisieren();     
    rakete.display();    
  }
}

void keyPressed() { 
  save("tmp.jpg");
}
